SF.net SVN: geany:[3016] trunk

eht16 at users.sourceforge.net eht16 at xxxxx
Sat Sep 27 14:07:14 UTC 2008


Revision: 3016
          http://geany.svn.sourceforge.net/geany/?rev=3016&view=rev
Author:   eht16
Date:     2008-09-27 14:07:14 +0000 (Sat, 27 Sep 2008)

Log Message:
-----------
Cleanup. Remove unnecessary checks and code.

Modified Paths:
--------------
    trunk/ChangeLog
    trunk/autogen.sh

Modified: trunk/ChangeLog
===================================================================
--- trunk/ChangeLog	2008-09-27 14:06:57 UTC (rev 3015)
+++ trunk/ChangeLog	2008-09-27 14:07:14 UTC (rev 3016)
@@ -7,6 +7,8 @@
    dialog or updating its contents.
  * src/editor.c:
    Make 'Line Breaking' UTF-8 safe (to work with non-ASCII characters).
+ * autogen.sh:
+   Cleanup. Remove unnecessary checks and code.
 
 
 2008-09-26  Enrico Tröger  <enrico(dot)troeger(at)uvena(dot)de>

Modified: trunk/autogen.sh
===================================================================
--- trunk/autogen.sh	2008-09-27 14:06:57 UTC (rev 3015)
+++ trunk/autogen.sh	2008-09-27 14:07:14 UTC (rev 3016)
@@ -6,154 +6,73 @@
 
 DIE=0
 
-if [ -n "$GNOME2_DIR" ]; then
-	ACLOCAL_FLAGS="-I $GNOME2_DIR/share/aclocal $ACLOCAL_FLAGS"
-	LD_LIBRARY_PATH="$GNOME2_DIR/lib:$LD_LIBRARY_PATH"
-	PATH="$GNOME2_DIR/bin:$PATH"
-	export PATH
-	export LD_LIBRARY_PATH
-fi
-
 (test -f $srcdir/configure.in) || {
-    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
-    echo " top-level package directory"
-    exit 1
+	echo "**Error**: Directory "\`$srcdir\'" does not look like the top-level package directory"
+	exit 1
 }
 
 (autoconf --version) < /dev/null > /dev/null 2>&1 || {
-  echo
-  echo "**Error**: You must have \`autoconf' installed."
-  echo "Download the appropriate package for your distribution,"
-  echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
-  DIE=1
+	echo
+	echo "**Error**: You must have \`autoconf' installed."
+	echo "Download the appropriate package for your distribution,"
+	echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+	DIE=1
 }
 
-(grep "^AC_PROG_INTLTOOL" $srcdir/configure.in >/dev/null) && {
-  (intltoolize --version) < /dev/null > /dev/null 2>&1 || {
-    echo
-    echo "**Error**: You must have \`intltool' installed."
-    echo "You can get it from:"
-    echo "  ftp://ftp.gnome.org/pub/GNOME/"
-    DIE=1
-  }
+(intltoolize --version) < /dev/null > /dev/null 2>&1 || {
+	echo
+	echo "**Error**: You must have \`intltool' installed."
+	echo "You can get it from:"
+	echo "  ftp://ftp.gnome.org/pub/GNOME/"
+	DIE=1
 }
 
-(grep "^AM_PROG_XML_I18N_TOOLS" $srcdir/configure.in >/dev/null) && {
-  (xml-i18n-toolize --version) < /dev/null > /dev/null 2>&1 || {
-    echo
-    echo "**Error**: You must have \`xml-i18n-toolize' installed."
-    echo "You can get it from:"
-    echo "  ftp://ftp.gnome.org/pub/GNOME/"
-    DIE=1
-  }
+(glib-gettextize --version) < /dev/null > /dev/null 2>&1 || {
+	echo
+	echo "**Error**: You must have \`glib' installed."
+	echo "You can get it from: ftp://ftp.gtk.org/pub/gtk"
+	DIE=1
 }
 
-(grep "^AM_PROG_LIBTOOL" $srcdir/configure.in >/dev/null) && {
-  (libtool --version) < /dev/null > /dev/null 2>&1 || {
-    echo
-    echo "**Error**: You must have \`libtool' installed."
-    echo "You can get it from: ftp://ftp.gnu.org/pub/gnu/"
-    DIE=1
-  }
-}
-
-(grep "^AM_GLIB_GNU_GETTEXT" $srcdir/configure.in >/dev/null) && {
-  (grep "sed.*POTFILES" $srcdir/configure.in) > /dev/null || \
-  (glib-gettextize --version) < /dev/null > /dev/null 2>&1 || {
-    echo
-    echo "**Error**: You must have \`glib' installed."
-    echo "You can get it from: ftp://ftp.gtk.org/pub/gtk"
-    DIE=1
-  }
-}
-
 (automake --version) < /dev/null > /dev/null 2>&1 || {
-  echo
-  echo "**Error**: You must have \`automake' installed."
-  echo "You can get it from: ftp://ftp.gnu.org/pub/gnu/"
-  DIE=1
-  NO_AUTOMAKE=yes
+	echo
+	echo "**Error**: You must have \`automake' installed."
+	echo "You can get it from: ftp://ftp.gnu.org/pub/gnu/"
+	DIE=1
+	NO_AUTOMAKE=yes
 }
 
 
 # if no automake, don't bother testing for aclocal
 test -n "$NO_AUTOMAKE" || (aclocal --version) < /dev/null > /dev/null 2>&1 || {
-  echo
-  echo "**Error**: Missing \`aclocal'.  The version of \`automake'"
-  echo "installed doesn't appear recent enough."
-  echo "You can get automake from ftp://ftp.gnu.org/pub/gnu/"
-  DIE=1
+	echo
+	echo "**Error**: Missing \`aclocal'.  The version of \`automake'"
+	echo "installed doesn't appear recent enough."
+	echo "You can get automake from ftp://ftp.gnu.org/pub/gnu/"
+	DIE=1
 }
 
 if test "$DIE" -eq 1; then
-  exit 1
+	exit 1
 fi
 
 if test -z "$*"; then
-  echo "**Warning**: I am going to run \`configure' with no arguments."
-  echo "If you wish to pass any to it, please specify them on the"
-  echo \`$0\'" command line."
-  echo
+	echo "**Warning**: I am going to run \`configure' with no arguments."
+	echo "If you wish to pass any to it, please specify them on the"
+	echo \`$0\'" command line."
+	echo
 fi
 
-case $CC in
-xlc )
-  am_opt=--include-deps;;
-esac
+echo "Processing configure.ac"
 
-for coin in `find $srcdir -name configure.in -print`
-do
-  dr=`dirname $coin`
-  if test -f $dr/NO-AUTO-GEN; then
-    echo skipping $dr -- flagged as no auto-gen
-  else
-    echo processing $dr
-    ( cd $dr
+echo "no" | glib-gettextize --force --copy
+intltoolize --copy --force --automake
+libtoolize --copy --force || glibtoolize --copy --force
+aclocal
+autoheader
+automake --add-missing --copy --gnu
+autoconf
 
-      aclocalinclude="$ACLOCAL_FLAGS"
+echo "Running $srcdir/configure $@ ..."
+$srcdir/configure "$@" && echo "Now type 'make' to compile." || exit 1
 
-      if grep "^AM_GLIB_GNU_GETTEXT" configure.in >/dev/null; then
-	echo "Creating $dr/aclocal.m4 ..."
-	test -r $dr/aclocal.m4 || touch $dr/aclocal.m4
-	echo "Running glib-gettextize...  Ignore non-fatal messages."
-	echo "no" | glib-gettextize --force --copy
-	echo "Making $dr/aclocal.m4 writable ..."
-	test -r $dr/aclocal.m4 && chmod u+w $dr/aclocal.m4
-      fi
-      if grep "^AC_PROG_INTLTOOL" configure.in >/dev/null; then
-        echo "Running intltoolize..."
-	intltoolize --copy --force --automake
-      fi
-      if grep "^AM_PROG_XML_I18N_TOOLS" configure.in >/dev/null; then
-        echo "Running xml-i18n-toolize..."
-	xml-i18n-toolize --copy --force --automake
-      fi
-      if grep "^AM_PROG_LIBTOOL" configure.in >/dev/null; then
-	if test -z "$NO_LIBTOOLIZE" ; then
-	  echo "Running libtoolize..."
-	  libtoolize --force --copy
-	fi
-      fi
-      echo "Running aclocal $aclocalinclude ..."
-      aclocal $aclocalinclude
-      if grep "^AM_CONFIG_HEADER" configure.in >/dev/null; then
-	echo "Running autoheader..."
-	autoheader
-      fi
-      echo "Running automake --gnu $am_opt ..."
-      automake --add-missing --copy --gnu $am_opt
-      echo "Running autoconf ..."
-      autoconf
-    )
-  fi
-done
-
-#conf_flags="--enable-maintainer-mode"
-
-if test x$NOCONFIGURE = x; then
-  echo Running $srcdir/configure $conf_flags "$@" ...
-  $srcdir/configure $conf_flags "$@" \
-  && echo Now type \`make\' to compile. || exit 1
-else
-  echo Skipping configure process.
-fi


This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.



More information about the Commits mailing list